---
title: BluetoothRemoteGATTCharacteristic.getDescriptors()
slug: Web/API/BluetoothRemoteGATTCharacteristic/getDescriptors
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTCharacteristic
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - getDescriptors()
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTCharacteristic.getDescriptors()</code></strong> method returns a {{jsxref("Promise")}} that resolves to an {{jsxref("Array")}} of all {{domxref("BluetoothGATTDescriptor")}} objects for a given descriptor UUID. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">BluetoothRemoteGATTCharacteristic.getDescriptors(bluetoothDescriptorUUID).then(function(bluetoothGATTDescriptors[]) { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to an {{jsxref("Array")}} of {{domxref("BluetoothGATTDescriptor")}} objects.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattcharacteristic-getdescriptors", "getDescriptors()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTCharacteristic.getDescriptors")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
